/*
 * 作成日: 2004/06/25 この生成されたコメントの挿入されるテンプレートを変更するため ウィンドウ > 設定 > Java > コード生成 >
 * コードとコメント
 */
package org.F11.scada.tool.page.bar2;

import org.apache.struts.validator.ValidatorForm;

/**
 * @author hori この生成されたコメントの挿入されるテンプレートを変更するため ウィンドウ > 設定 > Java > コード生成 >
 *         コードとコメント
 */
public class Bar2PointForm extends ValidatorForm {
	private static final long serialVersionUID = 2794655464594389386L;
	/** ポイント */
	private int point;
	private String unit;
	private String name;
	private String unit_mark;
	private String[] model_names;
	private long[] minimums = new long[3];
	private long[] maximums = new long[3];

	public void setValues(Bar2PointForm form) {
		this.point = form.point;
		this.unit = form.unit;
		this.name = form.name;
		this.unit_mark = form.unit_mark;
		this.model_names = new String[form.model_names.length];
		System.arraycopy(form.model_names, 0, this.model_names, 0,
				form.model_names.length);
		this.minimums = new long[form.minimums.length];
		System.arraycopy(form.minimums, 0, this.minimums, 0,
				form.minimums.length);
		this.maximums = new long[form.maximums.length];
		System.arraycopy(form.maximums, 0, this.maximums, 0,
				form.maximums.length);
	}

	/**
	 * @return
	 */
	public String getName() {
		return name;
	}

	/**
	 * @return
	 */
	public int getPoint() {
		return point;
	}

	/**
	 * @return
	 */
	public String getUnit() {
		return unit;
	}

	/**
	 * @return
	 */
	public String getUnit_mark() {
		return unit_mark;
	}

	/**
	 * @param string
	 */
	public void setName(String string) {
		name = string;
	}

	/**
	 * @param i
	 */
	public void setPoint(int i) {
		point = i;
	}

	/**
	 * @param string
	 */
	public void setUnit(String string) {
		unit = string;
	}

	/**
	 * @param string
	 */
	public void setUnit_mark(String string) {
		unit_mark = string;
	}

	public String[] getModel_names() {
		return model_names;
	}

	public void setModel_names(String[] model_names) {
		this.model_names = model_names;
	}

	public long getMinimums(int index) {
		return minimums[index];
	}

	public void setMinimums(int index, long minimums) {
		this.minimums[index] = minimums;
	}

	public long getMaximums(int index) {
		return maximums[index];
	}

	public void setMaximums(int index, long maximums) {
		this.maximums[index] = maximums;
	}

}
